# SoAppearanceKit Class Reference
[Node Kits]

`#include <Inventor/nodekits/SoAppearanceKit.h>`

Inheritance diagram for SoAppearanceKit:

List of all members.

## Detailed Description

The SoAppearanceKit class is a node kit catalog that collects miscellaneous appearance node types.

Node kit structure (new entries versus parent class marked with arrow prefix):

      CLASS SoAppearanceKit
      -->"this"
            "callbackList"
      -->   "lightModel"
      -->   "environment"
      -->   "drawStyle"
      -->   "material"
      -->   "complexity"
      -->   "texture2"
      -->   "font"

(See SoBaseKit::printDiagram() for information about the output formatting.)

Detailed information on catalog parts:

      CLASS SoAppearanceKit
      PVT   "this",  SoAppearanceKit  ---
            "callbackList",  SoNodeKitListPart [ SoCallback, SoEventCallback ]
            "lightModel",  SoLightModel  ---
            "environment",  SoEnvironment  ---
            "drawStyle",  SoDrawStyle  ---
            "material",  SoMaterial  ---
            "complexity",  SoComplexity  ---
            "texture2",  SoTexture2  ---
            "font",  SoFont  ---

(See SoBaseKit::printTable() for information about the output formatting.)

## Public Member Functions

| SoAppearanceKit (void)

## Static Public Member Functions

void | initClass (void)

## Protected Member Functions

virtual | ~SoAppearanceKit ()

## Constructor & Destructor Documentation

SoAppearanceKit::SoAppearanceKit | ( | void |  | ) |

| Constructor.

SoAppearanceKit::~SoAppearanceKit | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoAppearanceKit::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoBaseKit.

The documentation for this class was generated from the following files:

- SoAppearanceKit.h
- SoAppearanceKit.cpp